Aller au contenu

Exporter la Piste d'Audit Fiable (PAF) d'un mandat en CSV (NF203)

GET
/v1/mandates/{mandateId}/paf
curl --request GET \
--url 'https://example.com/v1/mandates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/paf?to=2026-12-31&from=2026-01-01' \
--header 'X-API-Key: <X-API-Key>'

Export de la PAF NF203 pour un mandat fiscal, sur une période donnée. Retourne un fichier CSV (Content-Disposition attachment).

mandateId
required
string format: uuid
to
required
string format: date
Example
2026-12-31
from
required
string format: date
Example
2026-01-01

Fichier CSV PAF

Media type text/csv
string format: binary

Corps ou paramètres invalides

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Non authentifié

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}

Permission refusée ou périmètre non vérifiable

Media type application/json
object
code
required

Code machine de l’erreur

string
message
required

Message lisible

string
origin

Origine domaine de l’erreur (optionnel)

object
boundedContext
string
module
string
status
required
integer
traceId
required

Identifiant de corrélation pour le support

string
Example
{
"code": "RESERVATION_NOT_FOUND",
"message": "Réservation introuvable",
"status": 404
}